import React, {Component} from 'react';
import {observer} from 'mobx-react';
import {WeaRadioGroup} from 'ecCom';

@observer
export default class SearchGroup extends Component{
    constructor(props){
        super(props);
    }
    
    render(){
        const {store} = this.props;
        const {radioGroupConfig, onRadioGroupChange, showColumns} = store;
        return (
            <div className='searchGroup'>
                <WeaRadioGroup ecId={`${this && this.props && this.props.ecId || ''}_WeaRadioGroup@6pao81`} config={store.toJS(radioGroupConfig)} onChange={onRadioGroupChange}/>
            </div>
        )
    }
}